%define major     3
%define libname   %mklibname %name %major
%define develname %mklibname %name -d

# comment out if not pre release
%define prel	rc2

# rel for bumping
%define rel	1

Name:           sunpinyin
Summary:        A statistical language model based Chinese input method
Version:        3.0.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Group:          System/Internationalization
License:        LGPLv2+
URL:            https://code.google.com/p/sunpinyin
Source0:        https://github.com/sunpinyin/sunpinyin/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
Source1:        https://download.sourceforge.net/open-gram/lm_sc.3gm.arpa-20140820.tar.bz2
Source2:        https://download.sourceforge.net/open-gram/dict.utf8-20131214.tar.bz2
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  scons

%description
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

%package -n     %libname
Summary:        Shared library for %name
Group:          System/Internationalization
Requires:       %name = %version

%description -n %libname
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

This package contains shared library for %name.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -qn %{name}-%{version}%{?prel:-%prel} -a1 -a2
%autopatch -p1

mkdir -p raw
mv lm_sc.3gm.arpa dict.utf8 raw

%build
%set_build_flags
%scons --prefix=%_prefix --libdir=%_libdir --datadir=%_datadir

cp -af doc/SLM-inst.mk raw/Makefile
%make_build -C raw PATH=../src:$PATH

%install
%set_build_flags
%scons_install --prefix=%_prefix --libdir=%_libdir --datadir=%_datadir --install-sandbox=%{buildroot}

%make_install -C raw

%files
%doc doc/README doc/*.mk
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man?/*

%files -n %libname
%_libdir/*.so.%{major}{,.*}

%files -n %develname
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*


%changelog
* Wed Feb 01 2023 daviddavid <daviddavid> 3.0.0-0.rc2.1.mga9
+ Revision: 1937299
- new version: 3.0.0-rc2
- remove merged upstream patches

* Tue Mar 15 2022 umeabot <umeabot> 3.0.0-0.rc1.6.mga9
+ Revision: 1792655
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 3.0.0-0.rc1.5.mga8
+ Revision: 1533964
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Wed Sep 25 2019 daviddavid <daviddavid> 3.0.0-0.rc1.4.mga8
+ Revision: 1445959
- switch build to python3-scons

* Fri Apr 05 2019 daviddavid <daviddavid> 3.0.0-0.rc1.3.mga7
+ Revision: 1386034
- switch to Python2 scons support

* Sun Sep 23 2018 umeabot <umeabot> 3.0.0-0.rc1.2.mga7
+ Revision: 1301241
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 3.0.0-0.rc1.1.mga7
+ Revision: 1242747
- new version 3.0.0 rc1
+ daviddavid <daviddavid>
- patch2: fix build with scons 3.0

* Fri Feb 12 2016 umeabot <umeabot> 2.0.3-7.mga6
+ Revision: 958916
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 2.0.3-6.mga6
+ Revision: 871188
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-5.mga5
+ Revision: 751205
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-4.mga5
+ Revision: 689615
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 2.0.3-3.mga5
+ Revision: 648984
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 2.0.3-3.mga4
+ Revision: 519369
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 383769
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 fwang <fwang> 2.0.3-1.mga3
+ Revision: 309389
- more patch
- fix build with gcc 4.7

* Wed Jul 13 2011 fwang <fwang> 2.0.3-1.mga2
+ Revision: 123579
- imported package sunpinyin


* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 2.0.3-1mdv2011.0
+ Revision: 659316
- import sunpinyin

